Name: libimobiledevice
Version: 1.0.6
Release: alt1

Summary: Library for connecting to Apple iPhone and iPod touch
Group: System/Libraries
License: LGPLv2+
Url: http://www.libimobiledevice.org/

Source: %url/downloads/l/%name-%version.tar.bz2
Patch: swig.m4.patch

BuildRequires: gcc-c++ libxml2-devel libusb-devel libtasn1-devel libplist-devel libplistmm-devel
BuildRequires: glib2-devel libgnutls-devel libgcrypt-devel python-devel swig libusbmuxd-devel

%description
libimobiledevice is a library for connecting to Apple's iPhone or iPod touch devices

%package devel
Summary: Development package for libimobiledevice
Group: Development/C
Requires: %name = %version-%release

%description devel
This package provides files for development using libimobiledevice.

%package -n python-module-%name
Summary: Python bindings for libimobiledevice
Group: Development/Python
Requires: %name = %version-%release

%description -n python-module-%name
Python bindings for libimobiledevice.

%prep
%setup -q
%patch

%build
%autoreconf
%configure --disable-static

%make_build

%install

make DESTDIR=%buildroot install

%files
%_bindir/idevice*
%_libdir/*.so.*
%_man1dir/*
%doc AUTHORS NEWS README

%files devel
%_includedir/%name
%_libdir/*.so
%_libdir/pkgconfig/*.pc

%files -n python-module-%name
%python_sitelibdir/imobiledevice/

%changelog
* Sun Mar 27 2011 Yuri N. Sedunov <aris@altlinux.org> 1.0.6-alt1
- 1.0.6

* Fri Mar 11 2011 Yuri N. Sedunov <aris@altlinux.org> 1.0.4-alt2
- updated buildreqs

* Sat Dec 11 2010 Yuri N. Sedunov <aris@altlinux.org> 1.0.4-alt1
- 1.0.4

* Tue Nov 02 2010 Yuri N. Sedunov <aris@altlinux.org> 1.0.3-alt1
- 1.0.3

* Sun Aug 01 2010 Yuri N. Sedunov <aris@altlinux.org> 1.0.2-alt2
- fixed swig-2.0.0 detection

* Tue Jun 22 2010 Yuri N. Sedunov <aris@altlinux.org> 1.0.2-alt1
- 1.0.2

* Thu May 27 2010 Yuri N. Sedunov <aris@altlinux.org> 1.0.1-alt1
- 1.0.1

* Sun Mar 28 2010 Yuri N. Sedunov <aris@altlinux.org> 1.0.0-alt1
- 1.0.0

* Sun Mar 14 2010 Yuri N. Sedunov <aris@altlinux.org> 0.9.7-alt2
- fixed swig/__init__.py

* Mon Feb 15 2010 Yuri N. Sedunov <aris@altlinux.org> 0.9.7-alt1
- first build for Sisyphus

